Skip to content

# Interface: CatalogEntityContextMenu

Common.Catalog.CatalogEntityContextMenu

## Hierarchy

- CatalogEntityContextMenu

↳ CatalogEntityAddMenu

## Table of contents

### Properties

- confirm
- icon
- onClick
- title

## Properties

### confirm

• `Optional` confirm: `Object`

Confirm click with a message

#### Type declaration

Name | Type
--- | ---
`message` | `string`

### icon

• `Optional` icon: `string`

Menu icon

### onClick

• onClick: () => `void` | `Promise`<void>

OnClick handler

#### Type declaration

▸ (): `void` | `Promise`<void>

##### Returns

`void` | `Promise`<void>

### title

• title: `string`

Menu title